| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
wxRichTextTableBlock Class Reference

`#include <wx/richtext/richtextbuffer.h>`

## Detailed Description

Stores the coordinates for a block of cells.

## Public Member Functions

| wxRichTextTableBlock ()
| wxRichTextTableBlock (int colStart, int colEnd, int rowStart, int rowEnd)
| wxRichTextTableBlock (const wxRichTextTableBlock &block)
void | Init ()
void | Copy (const wxRichTextTableBlock &block)
void | operator= (const wxRichTextTableBlock &block)
bool | operator== (const wxRichTextTableBlock &block)
bool | ComputeBlockForSelection (wxRichTextTable *table, wxRichTextCtrl *ctrl, bool requireCellSelection=true)
| Computes the block given a table (perhaps about to be edited) and a rich text control that may have a selection.
bool | IsWholeTable (wxRichTextTable *table) const
| Does this block represent the whole table?
int & | ColStart ()
int | ColStart () const
int & | ColEnd ()
int | ColEnd () const
int & | RowStart ()
int | RowStart () const
int & | RowEnd ()
int | RowEnd () const

## Static Public Member Functions

static wxRichTextCell * | GetFocusedCell (wxRichTextCtrl *ctrl)
| Returns the cell focused in the table, if any.

## Public Attributes

int | m_colStart
int | m_colEnd
int | m_rowStart
int | m_rowEnd

## Constructor & Destructor Documentation

wxRichTextTableBlock::wxRichTextTableBlock | ( |  | ) |

inline

wxRichTextTableBlock::wxRichTextTableBlock | ( | int | colStart,
|  | int | colEnd,
|  | int | rowStart,
|  | int | rowEnd
| ) |  |

inline

wxRichTextTableBlock::wxRichTextTableBlock | ( | const wxRichTextTableBlock & | block | ) |

inline

## Member Function Documentation

int& wxRichTextTableBlock::ColEnd | ( |  | ) |

inline

int wxRichTextTableBlock::ColEnd | ( |  | ) | const

inline

int& wxRichTextTableBlock::ColStart | ( |  | ) |

inline

int wxRichTextTableBlock::ColStart | ( |  | ) | const

inline

bool wxRichTextTableBlock::ComputeBlockForSelection | ( | wxRichTextTable * | table,
|  | wxRichTextCtrl * | ctrl,
|  | bool | requireCellSelection = `true`
| ) |  |

Computes the block given a table (perhaps about to be edited) and a rich text control that may have a selection.

If no selection, the whole table is used. If just the whole content of one cell is selected, this cell only is used. If the cell contents is not selected and requireCellSelection is false, the focused cell will count as a selected cell.

void wxRichTextTableBlock::Copy | ( | const wxRichTextTableBlock & | block | ) |

inline

static wxRichTextCell* wxRichTextTableBlock::GetFocusedCell | ( | wxRichTextCtrl * | ctrl | ) |

static

Returns the cell focused in the table, if any.

void wxRichTextTableBlock::Init | ( |  | ) |

inline

bool wxRichTextTableBlock::IsWholeTable | ( | wxRichTextTable * | table | ) | const

Does this block represent the whole table?

void wxRichTextTableBlock::operator= | ( | const wxRichTextTableBlock & | block | ) |

inline

bool wxRichTextTableBlock::operator== | ( | const wxRichTextTableBlock & | block | ) |

inline

int& wxRichTextTableBlock::RowEnd | ( |  | ) |

inline

int wxRichTextTableBlock::RowEnd | ( |  | ) | const

inline

int& wxRichTextTableBlock::RowStart | ( |  | ) |

inline

int wxRichTextTableBlock::RowStart | ( |  | ) | const

inline

## Member Data Documentation

int wxRichTextTableBlock::m_colEnd

int wxRichTextTableBlock::m_colStart

int wxRichTextTableBlock::m_rowEnd

int wxRichTextTableBlock::m_rowStart